# Dokument hochladen

`POST https://{tenant}.stamp.eu/rest/employees/{employee}/documents`

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Antworten

### 201: `EmployeeDocumentResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |
| `data.id` | string | ja |
| `data.employee_id` | string | ja |
| `data.folder_id` | string | ja |
| `data.name` | string | ja |
| `data.original_filename` | string | ja |
| `data.mime_type` | string | ja |
| `data.size_bytes` | string | ja |
| `data.visible_to_employee` | string | ja |
| `data.uploaded_by` | string | ja |
| `data.uploaded_by_name` | string \| null | nein |
| `data.created_at` | string | ja |
| `data.updated_at` | string | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
